<?php
session_start();
if (isset($_GET['id'])){
	if ($_GET['id'] > 0){
		include_once($_SERVER['DOCUMENT_ROOT'].'/shine/model/clsPedido.php');
		$objPedido = new clsPedido();
		$cod_cia = $_SESSION['num_identificacion'];
		$reg = $objPedido->MET_consultaC($_GET['id'], $cod_cia) ;
		$registros = $objPedido->MET_consultaD($_GET['id'], $cod_cia) ;
	/*	print_r($reg);
		print_r($registros);*/
	//	exit;
	}
}
?>

<h2>Generaci&oacute;n de nuevo pedido</h2>
<table width="auto" height="auto">
<tr>
<td>
<p>Codigo:</p>
</td>
<td>
<?php echo (isset($reg))? $reg['cod_pedido']:''; ?>
</td>
</tr>

<tr>
<td>
<p>Empresaria:</p>
</td>
<td>
<?php echo (isset($reg))? $cod_cia.' - '.$_SESSION['razon_social']:''; ?>
</td>
</tr>

<tr>
<td>
<p>Fecha:</p>
</td>
<td>
<?php echo (isset($reg))? $reg['fec_pedido']:''; ?>
</td>
</tr>

<tr>
<td>
<p>Observacion:</p>
</td>
<td>
<?php echo (isset($reg))? $reg['obs_pedido']:''; ?>
</td>
</tr>

<tr>
<td>
<p>Subtotal:</p>
</td>
<td align="right">
<?php echo (isset($reg))? $reg['val_subtotal']:''; ?>
</td>
</tr>

<tr>
<td>
<p>Descuento:</p>
</td>
<td align="right">
<?php echo (isset($reg))? $reg['val_desto']:''; ?>
</td>
</tr>

<tr>
<td>
<p>Total:</p>
</td>
<td align="right">
<?php echo (isset($reg))? $reg['val_total']:''; ?>
</td>
</tr>



<tr>
<td>
<p><h3>Productos</h3></p>
</td>
</tr>


<table id="tblCabDetalle" height="20px"  border="0">
	<tr>
		<th bgcolor="#f0f0f0" width="100px">Codigo</th>
		<th bgcolor="#f0f0f0" width="300px">Nombre</th>
		<th bgcolor="#f0f0f0" width="100px">Cantidad</th>
		<th bgcolor="#f0f0f0" width="100px">Precio</th>
		<th bgcolor="#f0f0f0" width="100px">Total</th>
	</tr>
	
	
<?php 
if(isset($registros)){
	foreach($registros as $ind => $reg2){
		echo "<tr>
			<td>".$reg2['cod_item']."</td>
			<td>".$reg2['nom_item']."</td>
			<td>".$reg2['num_cantidad']."</td>
			<td>".$reg2['val_precio']."</td>
			<td>".$reg2['val_totald']."</td>
			</tr>
		";		
		} //end foreach
}	
?>
	
</table>
<table name="tblDetDetConKardex" id="tblDetDetConKardex" height="20px" width="50%" border="0"></table>

<input name="txtNumItems" type="hidden" class="txt_textbox" id="txtNumItems" size="10" value="0" />

<tr>
</tr>
</table>


